libwps::Storage Class Reference

`#include <WPSOLEStream.h>`

## Public Types

enum | { Ok, OpenFailed, NotOLE, BadOLE, UnknownError }

## Public Member Functions

| Storage (shared_ptr< WPXInputStream > is)
| Constructs a storage with data. More...
| ~Storage ()
| Destroys the storage. More...
bool | isOLEStream ()
| Checks whether the storage is OLE2 storage. More...
int | result ()
| Returns the error code of last operation. More...
std::vector< std::string > | getOLENames ()
| Returns the list of all ole leaves names. More...
shared_ptr< WPXInputStream > | getDocumentOLEStream (const std::string &name)
| Returns a WPXInputStream corresponding to a name. More...

## Private Member Functions

| Storage (const Storage &)
Storage & | operator= (const Storage &)

## Private Attributes

StorageIO * | io

## Friends

class | Stream

## Member Enumeration Documentation

anonymous enum

Enumerator
Ok |
OpenFailed |
NotOLE |
BadOLE |
UnknownError |

## Constructor & Destructor Documentation

libwps::Storage::Storage | ( | shared_ptr< WPXInputStream > | is | ) |

Constructs a storage with data.

libwps::Storage::~Storage | ( |  | ) |

Destroys the storage.

libwps::Storage::Storage | ( | const Storage & |  | ) |

private

## Member Function Documentation

shared_ptr< WPXInputStream > libwps::Storage::getDocumentOLEStream | ( | const std::string & | name | ) |

Returns a WPXInputStream corresponding to a name.

std::vector< std::string > libwps::Storage::getOLENames | ( |  | ) |

Returns the list of all ole leaves names.

bool libwps::Storage::isOLEStream | ( |  | ) |

Checks whether the storage is OLE2 storage.

Storage& libwps::Storage::operator= | ( | const Storage & |  | ) |

private

int libwps::Storage::result | ( |  | ) |

Returns the error code of last operation.

## Friends And Related Function Documentation

friend class Stream

friend

## Member Data Documentation

StorageIO* libwps::Storage::io

private

Referenced by Storage().

The documentation for this class was generated from the following files:

- WPSOLEStream.h
- WPSOLEStream.cpp